## sonivox 3.6.11

=== CMakeLists.txt ===
#[=========================================================================[
  Copyright (c) 2022 Pedro López-Cabanillas

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
]=========================================================================]

cmake_minimum_required(VERSION 3.14)

project( sonivox 
    LANGUAGES C CXX
    VERSION 3.6.11.0
)

# GoogleTest requires at least C++14
set(CMAKE_CXX_STANDARD 14)

option(BUILD_SONIVOX_STATIC "Build the static library" TRUE)
option(BUILD_SONIVOX_SHARED "Build the shared library" TRUE)
option(BUILD_TESTING "Build the unit tests" TRUE)

include(GNUInstallDirs)

if (BUILD_TESTING)
    find_package(GTest CONFIG)
    if (NOT GTest_FOUND)
        message( STATUS "GTest not found. Fetching the git repository..." )
        set( INSTALL_GTEST OFF CACHE BOOL "Enable installation of gooogletest" FORCE )
        set( BUILD_GMOCK OFF CACHE BOOL "Builds the googlemock subproject" FORCE )
        include( FetchContent )
        FetchContent_Declare( googletest
          GIT_REPOSITORY https://github.com/google/googletest.git
          GIT_TAG release-1.12.1
        )
        # For Windows: Prevent overriding the parent project's compiler/linker settings
        set( gtest_force_shared_crt ON CACHE BOOL "" FORCE )
        FetchContent_MakeAvailable( googletest )
    endif()
endif()

if (UNIX AND NOT APPLE)
    find_library(MATH_LIBRARY m)
    message(STATUS "Math library: ${MATH_LIBRARY}")
else()
    set(MATH_LIBRARY "")
endif()

list(APPEND SOURCES
  arm-wt-22k/host_src/eas_config.c 
  arm-wt-22k/host_src/eas_hostmm.c 
#arm-wt-22k/host_src/eas_main.c 
  arm-wt-22k/host_src/eas_report.c
#arm-wt-22k/host_src/eas_wave.c
  arm-wt-22k/lib_src/eas_chorus.c
  arm-wt-22k/lib_src/eas_chorusdata.c
  arm-wt-22k/lib_src/eas_data.c 
  arm-wt-22k/lib_src/eas_dlssynth.c 
  arm-wt-22k/lib_src/eas_flog.c 
#arm-wt-22k/lib_src/eas_ima_tables.c 
#arm-wt-22k/lib_src/eas_imaadpcm.c 
#arm-wt-22k/lib_src/eas_imelody.c 
#arm-wt-22k/lib_src/eas_imelodydata.c 
  arm-wt-22k/lib_src/eas_math.c 
  arm-wt-22k/lib_src/eas_mdls.c 
  arm-wt-22k/lib_src/eas_midi.c 
  arm-wt-22k/lib_src/eas_mididata.c 
  arm-wt-22k/lib_src/eas_mixbuf.c
  arm-wt-22k/lib_src/eas_mixer.c
#arm-wt-22k/lib_src/eas_ota.c 
#arm-wt-22k/lib_src/eas_otadata.c 
  arm-wt-22k/lib_src/eas_pan.c 
  arm-wt-22k/lib_src/eas_pcm.c 
  arm-wt-22k/lib_src/eas_pcmdata.c 
  arm-wt-22k/lib_src/eas_public.c 
  arm-wt-22k/lib_src/eas_reverb.c 
  arm-wt-22k/lib_src/eas_reverbdata.c 
#arm-wt-22k/lib_src/eas_rtttl.c 
#arm-wt-22k/lib_src/eas_rtttldata.c 
  arm-wt-22k/lib_src/eas_smf.c 
  arm-wt-22k/lib_src/eas_smfdata.c 
  arm-wt-22k/lib_src/eas_tcdata.c 
  arm-wt-22k/lib_src/eas_tonecontrol.c 
  arm-wt-22k/lib_src/eas_voicemgt.c 
#arm-wt-22k/lib_src/eas_wavefile.c 
#arm-wt-22k/lib_src/eas_wavefiledata.c 
  arm-wt-22k/lib_src/eas_wtengine.c 
  arm-wt-22k/lib_src/eas_wtsynth.c 
#arm-wt-22k/lib_src/eas_xmf.c 
#arm-wt-22k/lib_src/eas_xmfdata.c 
#arm-wt-22k/lib_src/jet.c 
  arm-wt-22k/lib_src/wt_22khz.c 
)

configure_file(arm-wt-22k/host_src/eas.cmake libsonivox/eas.h @ONLY)

list(APPEND HEADERS 
    ${PROJECT_BINARY_DIR}/libsonivox/eas.h
    arm-wt-22k/host_src/eas_chorus.h
    arm-wt-22k/host_src/eas_reverb.h
    arm-wt-22k/host_src/eas_types.h
#arm-wt-22k/host_src/jet.h
)

add_library( sonivox-objects OBJECT ${SOURCES} )

target_compile_definitions( sonivox-objects PRIVATE
  UNIFIED_DEBUG_MESSAGES
  EAS_WT_SYNTH
  NUM_OUTPUT_CHANNELS=2
  _SAMPLE_RATE_22050
  MAX_SYNTH_VOICES=64
  _16_BIT_SAMPLES
  _FILTER_ENABLED
  DLS_SYNTHESIZER
  _REVERB_ENABLED
  _CHORUS_ENABLED
  #_IMELODY_PARSER
  #_RTTTL_PARSER
  #_OTA_PARSER
  #_XMF_PARSER
  #JET_INTERFACE
)

target_include_directories( sonivox-objects PRIVATE
    ${PROJECT_BINARY_DIR}/libsonivox
    arm-wt-22k/host_src
    arm-wt-22k/lib_src
    fakes
)

set_target_properties( sonivox-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE )

if (CMAKE_COMPILER_IS_GNUCC)
    target_compile_options( sonivox-objects PRIVATE
        -Wno-unused-parameter
        -Wno-unused-value
        -Wno-unused-variable
        -Wno-unused-function
        -Wno-misleading-indentation
        -Wno-attributes
    )
endif()

if (BUILD_SONIVOX_STATIC)
    add_library( sonivox-static STATIC $<TARGET_OBJECTS:sonivox-objects> )
    target_include_directories( sonivox-static PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${PROJECT_BINARY_DIR}/libsonivox>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/sonivox>" )
    set_target_properties( sonivox-static PROPERTIES PUBLIC_HEADER "${HEADERS}")
    target_link_libraries( sonivox-static PUBLIC ${MATH_LIBRARY} )
    add_library( sonivox::sonivox-static ALIAS sonivox-static)
    list( APPEND SONIVOX_TARGETS sonivox-static )
endif()

if (BUILD_SONIVOX_SHARED)
    add_library( sonivox SHARED $<TARGET_OBJECTS:sonivox-objects> )
    target_include_directories( sonivox PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${PROJECT_BINARY_DIR}/libsonivox>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/sonivox>" )
    set_target_properties( sonivox PROPERTIES VERSION ${PROJECT_VERSION} )
    set_target_properties( sonivox PROPERTIES SOVERSION ${PROJECT_VERSION_MAJOR} )
    set_target_properties( sonivox PROPERTIES PUBLIC_HEADER "${HEADERS}" )
    target_link_libraries( sonivox PRIVATE ${MATH_LIBRARY} )
    #target_link_options( sonivox PRIVATE "LINKER:-z,defs" )
    add_library( sonivox::sonivox ALIAS sonivox )
    list( APPEND SONIVOX_TARGETS sonivox )
endif()

if(IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
    set(sonivox_libdir "${CMAKE_INSTALL_LIBDIR}")
else()
    set(sonivox_libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
    set(sonivox_includedir "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    set(sonivox_includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()

if (BUILD_SONIVOX_STATIC)
    configure_file(sonivox-static.pc.in ${PROJECT_BINARY_DIR}/sonivox-static.pc @ONLY)
    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox-static.pc 
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
endif()
if (BUILD_SONIVOX_SHARED)
    configure_file(sonivox.pc.in ${PROJECT_BINARY_DIR}/sonivox.pc @ONLY)
    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox.pc 
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
endif()

install( TARGETS ${SONIVOX_TARGETS}
    EXPORT sonivox-targets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} 
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sonivox
)

install( EXPORT sonivox-targets
	FILE ${PROJECT_NAME}-targets.cmake
	NAMESPACE ${PROJECT_NAME}::
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

export( EXPORT sonivox-targets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
	NAMESPACE ${PROJECT_NAME}::
)

include( CMakePackageConfigHelpers )

write_basic_package_version_file(
	${PROJECT_NAME}-config-version.cmake
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
	${PROJECT_NAME}-config.cmake.in
	${PROJECT_NAME}-config.cmake
	INSTALL_DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)

install( FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

# Unit testing
if (BUILD_TESTING)
    enable_testing()

    add_executable( SonivoxTest
      test/SonivoxTest.cpp
    )

    target_include_directories( SonivoxTest PRIVATE
        ${PROJECT_BINARY_DIR}
        arm-wt-22k/include
        fakes
    )

    target_link_libraries( SonivoxTest
      GTest::gtest_main
      sonivox
    )

    include( GoogleTest )
    gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${PROJECT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 ) 
endif()

=== example/CMakeLists.txt ===
#[=========================================================================[
  Copyright (c) 2022 Pedro López-Cabanillas

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
]=========================================================================]

cmake_minimum_required(VERSION 3.14)
project( sonivoxrender LANGUAGES C )

# Alternative 1: Using CMake only and sonivox installed:
find_package ( sonivox CONFIG REQUIRED )
add_executable ( sonivoxrender sonivoxrender.c )
target_link_libraries ( sonivoxrender sonivox::sonivox-static )

# Alternative 2: Using pkg-config and sonivox installed:
#find_package ( PkgConfig REQUIRED )
#pkg_check_modules ( sonivox REQUIRED IMPORTED_TARGET sonivox-static )
#add_executable ( sonivoxrender sonivoxrender.c )
#target_link_libraries( sonivoxrender PkgConfig::sonivox )

# Alternative 3: sonivox in a subdirectory (for instance: a git submodule )
#add_subdirectory( sonivox )
#add_executable ( sonivoxrender sonivoxrender.c )
#target_link_libraries ( sonivoxrender sonivox::sonivox-static )

=== debian/changelog ===
sonivox (3.6.11-2) unstable; urgency=medium

  * Honor the nocheck profile while building
    Thanks to Nilesh Patra (Closes: #1022186)
  * Fix d/watch regex for github

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 22 Oct 2022 14:03:11 +0200

sonivox (3.6.11-1) unstable; urgency=medium

  * Initial release (Closes: #1018164)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 26 Aug 2022 13:30:23 +0200

=== debian/control ===
Source: sonivox
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtest-dev <!nocheck>
Homepage: https://github.com/pedrolcl/sonivox
Vcs-Browser: https://salsa.debian.org/multimedia-team/sonivox
Vcs-Git: https://salsa.debian.org/multimedia-team/sonivox.git
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: libsonivox3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Sonivox Embedded Audio Synthesis Library
 Fork of the AOSP 'platform_external_sonivox' to use out of Android.
 .
 This is a Wave Table synthesizer, not using external soundfont files
 but embedded samples instead. It is also a real time GM synthesizer.
 .
 It consumes very little resources, so it may be indicated in projects
 for small embedded devices.
 There is neither MIDI input nor Audio output facilities included in
 the library. You need to provide your own input/output.

Package: libsonivox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsonivox3 (= ${binary:Version}),
 ${misc:Depends}
Description: Sonivox Embedded Audio Synthesis Library (Development files)
 Fork of the AOSP 'platform_external_sonivox' to use out of Android.
 .
 This is a Wave Table synthesizer, not using external soundfont files
 but embedded samples instead. It is also a real time GM synthesizer.
 .
 It consumes very little resources, so it may be indicated in projects
 for small embedded devices.
 There is neither MIDI input nor Audio output facilities included in
 the library. You need to provide your own input/output.
 .
 This package contains the development files of Sonivox.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure
else
	dh_auto_configure -- -DBUILD_TESTING=OFF
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sonivox-$1\.tar\.gz/ \
 https://github.com/pedrolcl/sonivox/tags .*/releases/tag/v?@ANY_VERSION@

## sonivox 3.6.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #[=========================================================================[
-  Copyright (c) 2022 Pedro López-Cabanillas
+  Copyright (c) 2022-2023 Pedro López-Cabanillas
 
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
@@ -16,9 +16,9 @@
 
 cmake_minimum_required(VERSION 3.14)
 
-project( sonivox 
+project( sonivox
     LANGUAGES C CXX
-    VERSION 3.6.11.0
+    VERSION 3.6.12.0
 )
 
 # GoogleTest requires at least C++14
@@ -27,6 +27,7 @@
 option(BUILD_SONIVOX_STATIC "Build the static library" TRUE)
 option(BUILD_SONIVOX_SHARED "Build the shared library" TRUE)
 option(BUILD_TESTING "Build the unit tests" TRUE)
+option(CMAKE_POSITION_INDEPENDENT_CODE "Whether to create position-independent targets" TRUE)
 
 include(GNUInstallDirs)
 
@@ -55,54 +56,54 @@
 endif()
 
 list(APPEND SOURCES
-  arm-wt-22k/host_src/eas_config.c 
-  arm-wt-22k/host_src/eas_hostmm.c 
-#arm-wt-22k/host_src/eas_main.c 
+  arm-wt-22k/host_src/eas_config.c
+  arm-wt-22k/host_src/eas_hostmm.c
+#arm-wt-22k/host_src/eas_main.c
   arm-wt-22k/host_src/eas_report.c
 #arm-wt-22k/host_src/eas_wave.c
   arm-wt-22k/lib_src/eas_chorus.c
   arm-wt-22k/lib_src/eas_chorusdata.c
-  arm-wt-22k/lib_src/eas_data.c 
-  arm-wt-22k/lib_src/eas_dlssynth.c 
-  arm-wt-22k/lib_src/eas_flog.c 
-#arm-wt-22k/lib_src/eas_ima_tables.c 
-#arm-wt-22k/lib_src/eas_imaadpcm.c 
-#arm-wt-22k/lib_src/eas_imelody.c 
-#arm-wt-22k/lib_src/eas_imelodydata.c 
-  arm-wt-22k/lib_src/eas_math.c 
-  arm-wt-22k/lib_src/eas_mdls.c 
-  arm-wt-22k/lib_src/eas_midi.c 
-  arm-wt-22k/lib_src/eas_mididata.c 
+  arm-wt-22k/lib_src/eas_data.c
+  arm-wt-22k/lib_src/eas_dlssynth.c
+  arm-wt-22k/lib_src/eas_flog.c
+#arm-wt-22k/lib_src/eas_ima_tables.c
+#arm-wt-22k/lib_src/eas_imaadpcm.c
+#arm-wt-22k/lib_src/eas_imelody.c
+#arm-wt-22k/lib_src/eas_imelodydata.c
+  arm-wt-22k/lib_src/eas_math.c
+  arm-wt-22k/lib_src/eas_mdls.c
+  arm-wt-22k/lib_src/eas_midi.c
+  arm-wt-22k/lib_src/eas_mididata.c
   arm-wt-22k/lib_src/eas_mixbuf.c
   arm-wt-22k/lib_src/eas_mixer.c
-#arm-wt-22k/lib_src/eas_ota.c 
-#arm-wt-22k/lib_src/eas_otadata.c 
-  arm-wt-22k/lib_src/eas_pan.c 
-  arm-wt-22k/lib_src/eas_pcm.c 
-  arm-wt-22k/lib_src/eas_pcmdata.c 
-  arm-wt-22k/lib_src/eas_public.c 
-  arm-wt-22k/lib_src/eas_reverb.c 
-  arm-wt-22k/lib_src/eas_reverbdata.c 
-#arm-wt-22k/lib_src/eas_rtttl.c 
-#arm-wt-22k/lib_src/eas_rtttldata.c 
-  arm-wt-22k/lib_src/eas_smf.c 
-  arm-wt-22k/lib_src/eas_smfdata.c 
-  arm-wt-22k/lib_src/eas_tcdata.c 
-  arm-wt-22k/lib_src/eas_tonecontrol.c 
-  arm-wt-22k/lib_src/eas_voicemgt.c 
-#arm-wt-22k/lib_src/eas_wavefile.c 
-#arm-wt-22k/lib_src/eas_wavefiledata.c 
-  arm-wt-22k/lib_src/eas_wtengine.c 
-  arm-wt-22k/lib_src/eas_wtsynth.c 
-#arm-wt-22k/lib_src/eas_xmf.c 
-#arm-wt-22k/lib_src/eas_xmfdata.c 
-#arm-wt-22k/lib_src/jet.c 
-  arm-wt-22k/lib_src/wt_22khz.c 
+#arm-wt-22k/lib_src/eas_ota.c
+#arm-wt-22k/lib_src/eas_otadata.c
+  arm-wt-22k/lib_src/eas_pan.c
+  arm-wt-22k/lib_src/eas_pcm.c
+  arm-wt-22k/lib_src/eas_pcmdata.c
+  arm-wt-22k/lib_src/eas_public.c
+  arm-wt-22k/lib_src/eas_reverb.c
+  arm-wt-22k/lib_src/eas_reverbdata.c
+#arm-wt-22k/lib_src/eas_rtttl.c
+#arm-wt-22k/lib_src/eas_rtttldata.c
+  arm-wt-22k/lib_src/eas_smf.c
+  arm-wt-22k/lib_src/eas_smfdata.c
+  arm-wt-22k/lib_src/eas_tcdata.c
+  arm-wt-22k/lib_src/eas_tonecontrol.c
+  arm-wt-22k/lib_src/eas_voicemgt.c
+#arm-wt-22k/lib_src/eas_wavefile.c
+#arm-wt-22k/lib_src/eas_wavefiledata.c
+  arm-wt-22k/lib_src/eas_wtengine.c
+  arm-wt-22k/lib_src/eas_wtsynth.c
+#arm-wt-22k/lib_src/eas_xmf.c
+#arm-wt-22k/lib_src/eas_xmfdata.c
+#arm-wt-22k/lib_src/jet.c
+  arm-wt-22k/lib_src/wt_22khz.c
 )
 
 configure_file(arm-wt-22k/host_src/eas.cmake libsonivox/eas.h @ONLY)
 
-list(APPEND HEADERS 
+list(APPEND HEADERS
     ${PROJECT_BINARY_DIR}/libsonivox/eas.h
     arm-wt-22k/host_src/eas_chorus.h
     arm-wt-22k/host_src/eas_reverb.h
@@ -110,7 +111,7 @@
 #arm-wt-22k/host_src/jet.h
 )
 
-add_library( sonivox-objects OBJECT ${SOURCES} )
+add_library( sonivox-objects OBJECT ${SOURCES} ${HEADERS} )
 
 target_compile_definitions( sonivox-objects PRIVATE
   UNIFIED_DEBUG_MESSAGES
@@ -137,8 +138,6 @@
     fakes
 )
 
-set_target_properties( sonivox-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE )
-
 if (CMAKE_COMPILER_IS_GNUCC)
     target_compile_options( sonivox-objects PRIVATE
         -Wno-unused-parameter
@@ -188,12 +187,12 @@
 
 if (BUILD_SONIVOX_STATIC)
     configure_file(sonivox-static.pc.in ${PROJECT_BINARY_DIR}/sonivox-static.pc @ONLY)
-    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox-static.pc 
+    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox-static.pc
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
 endif()
 if (BUILD_SONIVOX_SHARED)
     configure_file(sonivox.pc.in ${PROJECT_BINARY_DIR}/sonivox.pc @ONLY)
-    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox.pc 
+    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox.pc
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
 endif()
 
@@ -201,39 +200,39 @@
     EXPORT sonivox-targets
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} 
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sonivox
 )
 
 install( EXPORT sonivox-targets
-	FILE ${PROJECT_NAME}-targets.cmake
-	NAMESPACE ${PROJECT_NAME}::
-	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
+        FILE ${PROJECT_NAME}-targets.cmake
+        NAMESPACE ${PROJECT_NAME}::
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
 )
 
 export( EXPORT sonivox-targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
-	NAMESPACE ${PROJECT_NAME}::
+        FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
+        NAMESPACE ${PROJECT_NAME}::
 )
 
 include( CMakePackageConfigHelpers )
 
 write_basic_package_version_file(
-	${PROJECT_NAME}-config-version.cmake
-	VERSION ${PROJECT_VERSION}
-	COMPATIBILITY AnyNewerVersion
+        ${PROJECT_NAME}-config-version.cmake
+        VERSION ${PROJECT_VERSION}
+        COMPATIBILITY AnyNewerVersion
 )
 
 configure_package_config_file(
-	${PROJECT_NAME}-config.cmake.in
-	${PROJECT_NAME}-config.cmake
-	INSTALL_DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
+        ${PROJECT_NAME}-config.cmake.in
+        ${PROJECT_NAME}-config.cmake
+        INSTALL_DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
 )
 
 install( FILES
     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
-	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
 )
 
 # Unit testing
@@ -250,11 +249,20 @@
         fakes
     )
 
-    target_link_libraries( SonivoxTest
+    target_link_libraries( SonivoxTest PRIVATE
       GTest::gtest_main
-      sonivox
-    )
+    )
+
+    if (BUILD_SONIVOX_STATIC)
+        target_link_libraries( SonivoxTest PRIVATE
+            sonivox-static
+        )
+    elseif (BUILD_SONIVOX_SHARED)
+        target_link_libraries( SonivoxTest PRIVATE
+            sonivox
+        )
+    endif()
 
     include( GoogleTest )
-    gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${PROJECT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 ) 
-endif()
+    gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${PROJECT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 )
+endif()

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #[=========================================================================[
-  Copyright (c) 2022 Pedro López-Cabanillas
+  Copyright (c) 2022-2023 Pedro López-Cabanillas
 
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.

=== debian/changelog ===
sonivox (3.6.12-1) unstable; urgency=medium

  * New upstream version 3.6.12
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years
  * Refresh d/watch

 -- Dennis Braun <snd@debian.org>  Mon, 12 Jun 2023 20:13:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <d_braun@kabelmail.de>
+Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -10,7 +10,7 @@
 Homepage: https://github.com/pedrolcl/sonivox
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonivox
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonivox.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: libsonivox3

## sonivox 3.6.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #[=========================================================================[
-  Copyright (c) 2022-2023 Pedro López-Cabanillas
+  Copyright (c) 2022-2024 Pedro López-Cabanillas
 
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
@@ -18,29 +18,42 @@
 
 project( sonivox
     LANGUAGES C CXX
-    VERSION 3.6.12.0
+    VERSION 3.6.15.0
 )
 
 # GoogleTest requires at least C++14
 set(CMAKE_CXX_STANDARD 14)
-
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+
+option(USE_44KHZ "Output 44100 Hz audio sample rate (instead of 22050 Hz)" TRUE)
+option(USE_16BITS_SAMPLES "Use 16 bits samples (instead of 8 bit)" TRUE)
 option(BUILD_SONIVOX_STATIC "Build the static library" TRUE)
 option(BUILD_SONIVOX_SHARED "Build the shared library" TRUE)
+option(BUILD_EXAMPLE "Build and install the example program" TRUE)
 option(BUILD_TESTING "Build the unit tests" TRUE)
 option(CMAKE_POSITION_INDEPENDENT_CODE "Whether to create position-independent targets" TRUE)
+option(NEW_HOST_WRAPPER "Use the new host wrapper" TRUE)
+set(MAX_VOICES 64 CACHE STRING "Maximum number of voices")
+
+include(CMakeDependentOption)
+cmake_dependent_option(BUILD_MANPAGE "Build the manpage of the example program" FALSE "BUILD_EXAMPLE" FALSE)
 
 include(GNUInstallDirs)
+
+set(PROJECT_RELEASE_DATE "December 14, 2024")
 
 if (BUILD_TESTING)
     find_package(GTest CONFIG)
-    if (NOT GTest_FOUND)
+    if (GTest_FOUND)
+        message( STATUS "Found GTest v${GTest_VERSION}")
+    else()
         message( STATUS "GTest not found. Fetching the git repository..." )
         set( INSTALL_GTEST OFF CACHE BOOL "Enable installation of gooogletest" FORCE )
         set( BUILD_GMOCK OFF CACHE BOOL "Builds the googlemock subproject" FORCE )
         include( FetchContent )
         FetchContent_Declare( googletest
-          GIT_REPOSITORY https://github.com/google/googletest.git
-          GIT_TAG release-1.12.1
+          GIT_REPOSITORY "https://github.com/google/googletest.git"
+          GIT_TAG "v1.15.2"
         )
         # For Windows: Prevent overriding the parent project's compiler/linker settings
         set( gtest_force_shared_crt ON CACHE BOOL "" FORCE )
@@ -50,14 +63,14 @@
 
 if (UNIX AND NOT APPLE)
     find_library(MATH_LIBRARY m)
-    message(STATUS "Math library: ${MATH_LIBRARY}")
+    message(STATUS "Found Math library: ${MATH_LIBRARY}")
 else()
     set(MATH_LIBRARY "")
 endif()
 
 list(APPEND SOURCES
   arm-wt-22k/host_src/eas_config.c
-  arm-wt-22k/host_src/eas_hostmm.c
+#arm-wt-22k/host_src/eas_hostmm.c
 #arm-wt-22k/host_src/eas_main.c
   arm-wt-22k/host_src/eas_report.c
 #arm-wt-22k/host_src/eas_wave.c
@@ -98,13 +111,19 @@
 #arm-wt-22k/lib_src/eas_xmf.c
 #arm-wt-22k/lib_src/eas_xmfdata.c
 #arm-wt-22k/lib_src/jet.c
-  arm-wt-22k/lib_src/wt_22khz.c
-)
+  arm-wt-22k/lib_src/wt_200k_G.c
+)
+
+if (NEW_HOST_WRAPPER)
+    list(APPEND SOURCES arm-wt-22k/src/hostmm_ng.c)
+else()
+    list(APPEND SOURCES arm-wt-22k/host_src/eas_hostmm.c)
+endif()
 
 configure_file(arm-wt-22k/host_src/eas.cmake libsonivox/eas.h @ONLY)
 
 list(APPEND HEADERS
-    ${PROJECT_BINARY_DIR}/libsonivox/eas.h
+    ${CMAKE_CURRENT_BINARY_DIR}/libsonivox/eas.h
     arm-wt-22k/host_src/eas_chorus.h
     arm-wt-22k/host_src/eas_reverb.h
     arm-wt-22k/host_src/eas_types.h
@@ -117,9 +136,7 @@
   UNIFIED_DEBUG_MESSAGES
   EAS_WT_SYNTH
   NUM_OUTPUT_CHANNELS=2
-  _SAMPLE_RATE_22050
-  MAX_SYNTH_VOICES=64
-  _16_BIT_SAMPLES
+  MAX_SYNTH_VOICES=${MAX_VOICES}
   _FILTER_ENABLED
   DLS_SYNTHESIZER
   _REVERB_ENABLED
@@ -131,8 +148,27 @@
   #JET_INTERFACE
 )
 
+include(TestBigEndian)
+test_big_endian(BIG_ENDIAN)
+
+if (BIG_ENDIAN)
+    target_compile_definitions( sonivox-objects PRIVATE EAS_BIG_ENDIAN )
+endif()
+
+if (USE_16BITS_SAMPLES)
+    target_compile_definitions( sonivox-objects PRIVATE _16_BIT_SAMPLES )
+else()
+    target_compile_definitions( sonivox-objects PRIVATE _8_BIT_SAMPLES )
+endif()
+
+if(USE_44KHZ)
+    target_compile_definitions( sonivox-objects PRIVATE _SAMPLE_RATE_44100 )
+else()
+    target_compile_definitions( sonivox-objects PRIVATE _SAMPLE_RATE_22050 )
+endif()
+
 target_include_directories( sonivox-objects PRIVATE
-    ${PROJECT_BINARY_DIR}/libsonivox
+    ${CMAKE_CURRENT_BINARY_DIR}/libsonivox
     arm-wt-22k/host_src
     arm-wt-22k/lib_src
     fakes
@@ -152,8 +188,9 @@
 if (BUILD_SONIVOX_STATIC)
     add_library( sonivox-static STATIC $<TARGET_OBJECTS:sonivox-objects> )
     target_include_directories( sonivox-static PUBLIC
-        "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${PROJECT_BINARY_DIR}/libsonivox>"
+        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${CMAKE_CURRENT_BINARY_DIR}/libsonivox>"
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/sonivox>" )
+    set_target_properties( sonivox-static PROPERTIES VERSION ${PROJECT_VERSION} )
     set_target_properties( sonivox-static PROPERTIES PUBLIC_HEADER "${HEADERS}")
     target_link_libraries( sonivox-static PUBLIC ${MATH_LIBRARY} )
     add_library( sonivox::sonivox-static ALIAS sonivox-static)
@@ -163,7 +200,7 @@
 if (BUILD_SONIVOX_SHARED)
     add_library( sonivox SHARED $<TARGET_OBJECTS:sonivox-objects> )
     target_include_directories( sonivox PUBLIC
-        "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${PROJECT_BINARY_DIR}/libsonivox>"
+        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/arm-wt-22k/include/libsonivox;${CMAKE_CURRENT_BINARY_DIR}/libsonivox>"
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/sonivox>" )
     set_target_properties( sonivox PROPERTIES VERSION ${PROJECT_VERSION} )
     set_target_properties( sonivox PROPERTIES SOVERSION ${PROJECT_VERSION_MAJOR} )
@@ -186,12 +223,12 @@
 endif()
 
 if (BUILD_SONIVOX_STATIC)
-    configure_file(sonivox-static.pc.in ${PROJECT_BINARY_DIR}/sonivox-static.pc @ONLY)
+    configure_file(sonivox-static.pc.in ${CMAKE_CURRENT_BINARY_DIR}/sonivox-static.pc @ONLY)
     install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox-static.pc
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
 endif()
 if (BUILD_SONIVOX_SHARED)
-    configure_file(sonivox.pc.in ${PROJECT_BINARY_DIR}/sonivox.pc @ONLY)
+    configure_file(sonivox.pc.in ${CMAKE_CURRENT_BINARY_DIR}/sonivox.pc @ONLY)
     install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivox.pc
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
 endif()
@@ -240,17 +277,23 @@
     enable_testing()
 
     add_executable( SonivoxTest
-      test/SonivoxTest.cpp
-    )
+        test/SonivoxTest.cpp
+    )
+
+    if(USE_44KHZ)
+        target_compile_definitions( SonivoxTest PRIVATE _SAMPLE_RATE_44100 )
+    else()
+        target_compile_definitions( SonivoxTest PRIVATE _SAMPLE_RATE_22050 )
+    endif()
 
     target_include_directories( SonivoxTest PRIVATE
-        ${PROJECT_BINARY_DIR}
+        ${CMAKE_CURRENT_BINARY_DIR}
         arm-wt-22k/include
         fakes
     )
 
     target_link_libraries( SonivoxTest PRIVATE
-      GTest::gtest_main
+        GTest::gtest_main
     )
 
     if (BUILD_SONIVOX_STATIC)
@@ -263,6 +306,25 @@
         )
     endif()
 
+    set(SOUNDFONT "$ENV{TEMP}/soundfont.dls")
+    if (NOT EXISTS ${SOUNDFONT})
+        file(DOWNLOAD "http://www.ronimusic.com/sf2/Airfont_340.dls" ${SOUNDFONT})
+    endif()
+
+    file(SIZE ${SOUNDFONT} SOUNDFONTSIZE)
+    file(MD5 ${SOUNDFONT} SOUNDFONTHASH)
+    message(STATUS "DLS file ${SOUNDFONT} size: ${SOUNDFONTSIZE}")
+    message(STATUS "DLS file ${SOUNDFONT} MD5 hash: ${SOUNDFONTHASH}")
+
     include( GoogleTest )
-    gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${PROJECT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 )
-endif()
+    gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${CMAKE_CURRENT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 )
+endif()
+
+# Example program
+if (BUILD_EXAMPLE)
+    set(sonivox_DIR ${CMAKE_CURRENT_BINARY_DIR})
+    add_subdirectory(example)
+    install( TARGETS sonivoxrender
+        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    )
+endif()

=== example/CMakeLists.txt ===
#[=========================================================================[
  Copyright (c) 2022-2024 Pedro López-Cabanillas

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
]=========================================================================]

add_executable ( sonivoxrender sonivoxrender.c )

if (BUILD_SONIVOX_STATIC)
    target_link_libraries ( sonivoxrender sonivox::sonivox-static )
elseif (BUILD_SONIVOX_SHARED)
    target_link_libraries ( sonivoxrender sonivox::sonivox )
endif()

if (BUILD_MANPAGE)
    if(NOT EXISTS ${PANDOC_EXECUTABLE})
        find_program(PANDOC_EXECUTABLE pandoc)
        mark_as_advanced(PANDOC_EXECUTABLE)
    endif()

    if (EXISTS ${PANDOC_EXECUTABLE})
        set(_src ${CMAKE_CURRENT_SOURCE_DIR}/sonivoxrender.1.md)
        if (NOT PROJECT_RELEASE_DATE)
            unset(_date)
            execute_process (
                COMMAND bash -c "LANG=en;date +'%B %d, %Y'"
                OUTPUT_VARIABLE _date
                OUTPUT_STRIP_TRAILING_WHITESPACE
            )
        else()
            set(_date ${PROJECT_RELEASE_DATE})
        endif()
        set(_footer "${PROJECT_NAME} ${PROJECT_VERSION}")
        add_custom_command (
            OUTPUT sonivoxrender.1
            COMMAND ${PANDOC_EXECUTABLE} -s -t man -Vdate=${_date} -Vfooter=${_footer} ${_src} -o sonivoxrender.1
            DEPENDS ${_src}
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            VERBATIM
        )
        add_custom_target(manpage ALL DEPENDS sonivoxrender.1)
    endif()
else()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sonivoxrender.1 ${CMAKE_CURRENT_BINARY_DIR} COPYONLY)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sonivoxrender.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
)

=== debian/changelog ===
sonivox (3.6.15-2) unstable; urgency=medium

  * Source-only upload

 -- Dennis Braun <snd@debian.org>  Sun, 05 Jan 2025 18:39:03 +0100

sonivox (3.6.15-1) unstable; urgency=medium

  * New upstream version 3.6.15
  * Bump Standards-Version to 4.7.0
  * Provide the sonivoxrender package
  * Disable unit-tests generally, because it needs to download a dst file
  * Remove multiarch tag from sonivoxrender package
    Thanks to Pedro Lopez-Cabanilla!

 -- Dennis Braun <snd@debian.org>  Sat, 04 Jan 2025 19:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
 Homepage: https://github.com/pedrolcl/sonivox
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonivox
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonivox.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: libsonivox3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Sonivox Embedded Audio Synthesis Library
  Fork of the AOSP 'platform_external_sonivox' to use out of Android.
  .
@@ -49,3 +50,22 @@
  the library. You need to provide your own input/output.
  .
  This package contains the development files of Sonivox.
+
+Package: sonivoxrender
+Architecture: any
+Depends:
+ libsonivox3 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Sonivox Embedded Audio Synthesis Library - Render Tool
+ Fork of the AOSP 'platform_external_sonivox' to use out of Android.
+ .
+ This is a Wave Table synthesizer, not using external soundfont files
+ but embedded samples instead. It is also a real time GM synthesizer.
+ .
+ It consumes very little resources, so it may be indicated in projects
+ for small embedded devices.
+ There is neither MIDI input nor Audio output facilities included in
+ the library. You need to provide your own input/output.
+ .
+ This package contains the render tool of Sonivox.

## sonivox 3.6.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #[=========================================================================[
-  Copyright (c) 2022-2024 Pedro López-Cabanillas
+  Copyright (c) 2022-2025 Pedro López-Cabanillas
 
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
@@ -18,7 +18,7 @@
 
 project( sonivox
     LANGUAGES C CXX
-    VERSION 3.6.15.0
+    VERSION 3.6.16.0
 )
 
 # GoogleTest requires at least C++14
@@ -40,7 +40,7 @@
 
 include(GNUInstallDirs)
 
-set(PROJECT_RELEASE_DATE "December 14, 2024")
+set(PROJECT_RELEASE_DATE "April 13, 2025")
 
 if (BUILD_TESTING)
     find_package(GTest CONFIG)
@@ -127,6 +127,7 @@
     arm-wt-22k/host_src/eas_chorus.h
     arm-wt-22k/host_src/eas_reverb.h
     arm-wt-22k/host_src/eas_types.h
+    arm-wt-22k/host_src/eas_report.h
 #arm-wt-22k/host_src/jet.h
 )
 
@@ -306,8 +307,17 @@
         )
     endif()
 
-    set(SOUNDFONT "$ENV{TEMP}/soundfont.dls")
+    if(DEFINED ENV{TEMP})
+        set(TEMPDIR "$ENV{TEMP}")
+    elseif(DEFINED ENV{XDG_RUNTIME_DIR})
+        set(TEMPDIR "$ENV{XDG_RUNTIME_DIR}")
+    else()
+        message(FATAL_ERROR "Cannot find a temporary directory. Define the TEMP environment variable.")
+    endif()
+
+    set(SOUNDFONT "${TEMPDIR}/soundfont.dls")
     if (NOT EXISTS ${SOUNDFONT})
+        message(STATUS "Downloading DLS file for testing to ${SOUNDFONT}")
         file(DOWNLOAD "http://www.ronimusic.com/sf2/Airfont_340.dls" ${SOUNDFONT})
     endif()
 
@@ -315,6 +325,9 @@
     file(MD5 ${SOUNDFONT} SOUNDFONTHASH)
     message(STATUS "DLS file ${SOUNDFONT} size: ${SOUNDFONTSIZE}")
     message(STATUS "DLS file ${SOUNDFONT} MD5 hash: ${SOUNDFONTHASH}")
+    if (NOT (SOUNDFONTSIZE EQUAL 81362584 AND SOUNDFONTHASH STREQUAL "40c0cd4ad29ae411a8fc3d6681002a2b"))
+        message(FATAL_ERROR "The downloaded DLS file is corrupted.")
+    endif()
 
     include( GoogleTest )
     gtest_discover_tests( SonivoxTest EXTRA_ARGS "-P${CMAKE_CURRENT_SOURCE_DIR}/test/res/" DISCOVERY_TIMEOUT 300 )

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #[=========================================================================[
-  Copyright (c) 2022-2024 Pedro López-Cabanillas
+  Copyright (c) 2022-2025 Pedro López-Cabanillas
 
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.

=== debian/changelog ===
sonivox (3.6.16-1) unstable; urgency=medium

  * New upstream version 3.6.16
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Sun, 28 Sep 2025 20:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://github.com/pedrolcl/sonivox
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sonivox
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonivox.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: libsonivox3

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	dh_auto_configure
#else
#	dh_auto_configure -- -DBUILD_TESTING=OFF
#endif
	dh_auto_configure -- -DBUILD_TESTING=OFF

=== debian/watch ===
version=4
opts=dversionmangle=auto \
  https://github.com/pedrolcl/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
